Page MenuHomePhabricator

WikiScienceContest Award Ceremony 2016
Closed, ResolvedPublic

Related Objects

StatusSubtypeAssignedTask
InvalidNone
ResolvedNone
ResolvedAnntinomy

Event Timeline

Anntinomy created this task.Mar 9 2016, 3:26 PM
Ilya_Korniiko_WMUA renamed this task from Award Ceremony to WikiScienceContest Award Ceremony.Sep 18 2016, 8:44 AM
Ilya_Korniiko_WMUA moved this task from Backlog to Done on the WMUA-Contests board.
intracer renamed this task from WikiScienceContest Award Ceremony to WikiScienceContest Award Ceremony 2016.Mar 13 2017, 5:55 AM
intracer closed this task as Resolved.